// modelerdraw2.h

// Author: Eric & Brankica

// Draw body parts for the model

#ifndef MODELERDRAW2_H
#define MODELERDRAW2_H

#include <FL/gl.h>
#include <cstdio>





/** Draw an icosahedron */
void drawMoon(  char* texture, int texWidth, int texHeight );

/** Draw a trianglular prism */
void drawEar( char* texture, int texWidth, int texHeight );

/** Draw a cone = cylinder with r2=0 */
void drawCorn( char* texture, int texWidth, int texHeight );

void drawBox( float x, float y, float z, char* texture, int texWidth, int texHeight );

void crossprod(float v1[3], float v2[3], float out[3]);

#endif